Evaluators
Get evaluator credentials
Retrieves SAS credentials for accessing the storage account associated with the specified evaluator version.
Path parameters
name
string
required
The name path parameter.
version
string
required
The specific version id of the EvaluatorVersion to operate on.
Query parameters
api-version
string
required
The API version to use for this operation.
Request Body
The credential request parameters
blob_uri
string
required
The blob URI for the evaluator storage. Example: https://account.blob.core.windows.net:443/container
Responses
The request has succeeded.
Body
blobReference
BlobReference
required
Blob reference details.
blobUri
string
required
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
required
ARM ID of the storage account to use.
credential
SasCredential
required
SAS Credential definition
sasUri
string
required
SAS uri
type
enum
required
Type of credential
Request
POST /evaluators/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json